%define module  PQueue
%define version 0.2
%define release %mkrel 6

Summary: 	%{module} module for python
Name: 		python-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		Development/Python
Source: 	%{module}-%{version}.tar.bz2
Patch:		%{name}-0.2.lib64.patch.bz2
Url:		http://www.csse.monash.edu.au/hons/projects/1999/Andrew.Snare
BuildRequires:	python-devel
BuildRequires:	autoconf2.1
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description 
This C extension implements a priority-queue object using a fibonacci
heap as the underlying data structure.

%prep
%setup -q -n %{module}
%patch -p 1

%build
autoconf-2.13
%configure
%make

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_libdir}/python%{pyver}/site-packages
%makeinstall
chmod 755 %{buildroot}%{_libdir}/python%{pyver}/site-packages/pqueuemodule.so

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/python%{pyver}/site-packages/*

%changelog
* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-6mdk
- fix x86_64 build 
- %%mkrel
- spec cleanup

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.2-5mdk
- Rebuild for new python

* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.2-4mdk 
- fixed perms

* Sat Aug 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.2-3mdk
- rebuild for new python

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2-2mdk
- rebuild

* Sat Aug 31 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2-1mdk
- first mdk release
